import {EnvProperties} from "../app/openaireLibrary/utils/properties/env-properties";

export let properties: EnvProperties = {
  environment: "beta",
  enablePiwikTrack: true,
  useCache: true,
  showContent: true,
  metricsAPIURL: "https://beta.services.openaire.eu/usagestats/",
  framesAPIURL: "https://beta.openaire.eu/stats3/",
  statisticsAPIURL: "https://beta.services.openaire.eu/stats-api/",
  statisticsFrameAPIURL: "https://beta.openaire.eu/stats/",
  statisticsFrameNewAPIURL: "https://stats.madgik.di.uoa.gr/stats-api/",
  useNewStatistisTool: true,
  claimsAPIURL: "https://beta.services.openaire.eu/claims/rest/claimsService/",
  searchAPIURLLAst: "https://beta.services.openaire.eu/search/v2/api/",
  searchResourcesAPIURL: "https://beta.services.openaire.eu/search/v2/api/resources",
  openCitationsAPIURL: "https://services.openaire.eu/opencitations/getCitations?id=",
  csvAPIURL: "https://beta.services.openaire.eu/search/v2/api/reports",
  searchCrossrefAPIURL: "https://api.crossref.org/works",
  searchDataciteAPIURL: "https://api.datacite.org/works",
  searchOrcidURL: "https://pub.orcid.org/v2.1/",
  orcidURL: "https://orcid.org/",
  doiURL: "https://dx.doi.org/",
  pmcURL: "http://europepmc.org/articles/",
  pmidURL: "https://www.ncbi.nlm.nih.gov/pubmed/",
  handleURL: "http://hdl.handle.net/",
  cordisURL: "http://cordis.europa.eu/projects/",
  openDoarURL: "http://v2.sherpa.ac.uk/id/repository/",
  r3DataURL: "http://service.re3data.org/repository/",
  zenodo: "https://zenodo.org/",
  zenodoCommunities: "https://zenodo.org/api/communities/",
  openAccess: "https://www.openaire.eu/support/faq#article-id-234",
  openAccessRepo: "https://www.openaire.eu/support/faq#article-id-310",
  fp7Guidlines: "https://www.openaire.eu/open-access-in-fp7-seventh-research-framework-programme",
  h2020Guidlines: "https://www.openaire.eu/oa-publications/h2020/open-access-in-horizon-2020",
  ercGuidlines: "http://erc.europa.eu/sites/default/files/document/file/ERC_Open_Access_Guidelines-revised_2014.pdf",
  helpdesk: "https://www.openaire.eu/support/helpdesk",
  utilsService: "https://demo.openaire.eu/utils-service",
  vocabulariesAPI: "https://beta.services.openaire.eu/provision/mvc/vocabularies/",
  piwikBaseUrl: "https://analytics.openaire.eu/piwik.php?idsite=",
  piwikSiteId: "298",
  registryUrl: 'https://beta.services.openaire.eu/uoa-user-management/api/registry/',
  loginUrl: "https://beta.services.openaire.eu/login-service/openid_connect_login",
  userInfoUrl: "https://beta.services.openaire.eu/login-service/userInfo",
  logoutUrl: "https://beta.services.openaire.eu/login-service/openid_logout",
  cookieDomain: ".openaire.eu",
  feedbackmail: "feedback@openaire.eu",
  cacheUrl: "https://demo.openaire.eu/cache/get?url=",
  monitorServiceAPIURL: "https://beta.services.openaire.eu/uoa-monitor-service/",
  adminToolsAPIURL: "https://beta.services.openaire.eu/uoa-monitor-service/",
  adminToolsCommunity: "monitor",
  adminToolsPortalType: "monitor",
  datasourcesAPI: "https://beta.services.openaire.eu/openaire/ds/search/",
  contextsAPI: "https://beta.services.openaire.eu/openaire/context",
  communityAPI: "https://beta.services.openaire.eu/openaire/community/",
  communitiesAPI: "https://beta.services.openaire.eu/openaire/community/communities",
  csvLimit: 2000,
  pagingLimit: 20,
  resultsPerPage: 10,
  baseLink : "",
  domain : "https://beta.monitor.openaire.eu",
  searchLinkToResult: "/search/result?id=",
  searchLinkToPublication: "/search/publication?articleId=",
  searchLinkToProject: "/search/project?projectId=",
  searchLinkToDataProvider: "/search/dataprovider?datasourceId=",
  searchLinkToDataset: "/search/dataset?datasetId=",
  searchLinkToSoftwareLanding: "/search/software?softwareId=",
  searchLinkToOrganization: "/search/organization?organizationId=",
  searchLinkToOrp: "/search/other?orpId=",
  searchLinkToStakeholders: "/browse",
  searchLinkToResults: "/search/find/research-outcomes",
  searchLinkToDataProviders: "/search/find/dataproviders",
  searchLinkToProjects: "/search/find/projects",
  searchLinkToOrganizations: "/search/find/organizations",
  searchLinkToCompatibleDataProviders: "/search/content-providers",
  searchLinkToEntityRegistriesDataProviders: "/search/entity-registries",
  searchLinkToEntityRegistriesDataProvidersTable: "/search/entity-registries-table",
  searchLinkToJournals: "/search/journals",
  searchLinkToJournalsTable: "/search/journals-table",
  searchLinkToAdvancedResults: "/search/advanced/research-outcomes",
  searchLinkToAdvancedProjects: "/search/advanced/projects",
  searchLinkToAdvancedDataProviders: "/search/advanced/dataproviders",
  searchLinkToAdvancedOrganizations: "/search/advanced/organizations",
  lastIndexInformationLink: "https://beta.openaire.eu/aggregation-and-content-provision-workflows",
  showLastIndexInformationLink: true,
  widgetLink: "https://beta.openaire.eu/index.php?option=com_openaire&view=widget&format=raw&projectId=",
  claimsInformationLink: "https://beta.openaire.eu/linking",
  depositLearnHowPage: "/participate/deposit/learn-how",
  depositSearchPage: "/participate/deposit/search",
  shareInZenodoPage: "/participate/deposit/zenodo",
  reCaptchaSiteKey: "6LezhVIUAAAAAOb4nHDd87sckLhMXFDcHuKyS76P",
  admins: ["feedback@openaire.eu"],
  lastIndexUpdate: "2019-08-07",
  indexInfoAPI: "https://beta.services.openaire.eu/openaire/info/",
  altMetricsAPIURL: "https://api.altmetric.com/v1/doi/",
  b2noteAPIURL: "http://b2note-dev.bsc.es/",
  footerGrantText: "OpenAIRE has received funding from the European Union's Horizon 2020 research and innovation programme under grant agreements No. 777541 and 101017452"
};
